/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.11.22
 * 描述               :        			虚拟物料表、分条设计联合
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/

package market.Mes.Lengthwise.Plan.vo;

import java.util.Date;

public class PlnMaterielDetailLengthwiseDsnMain {
	//序列号
	private long serial_no;
	public long  getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(long serial_no) {
		this.serial_no = serial_no;
	}

	
	//虚拟物料(卷/带/板)号
	private String object_no_vt;
	public String  getObject_no_vt() {
		return this.object_no_vt;
	}
	public void setObject_no_vt(String object_no_vt) {
		this.object_no_vt = object_no_vt;
	}

	
	//物料(卷/带/板)号
	private String object_no;
	public String  getObject_no() {
		return this.object_no;
	}
	public void setObject_no(String object_no) {
		this.object_no = object_no;
	}

	
	//虚拟物料类型
	private String object_type;
	public String  getObject_type() {
		return this.object_type;
	}
	public void setObject_type(String object_type) {
		this.object_type = object_type;
	}

	
	//产线
	private String pline_code;
	public String  getPline_code() {
		return this.pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	
	//机台编号
	private String machine_code;
	public String  getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	
	//状态
	private String status;
	public String  getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	
	
	//上道工序已完成
	private String is_finished;
	public String  getIs_finished() {
		return this.is_finished;
	}
	public void setIs_finished(String is_finished) {
		this.is_finished = is_finished;
	}

	
	//计划上道工序
	private String prev_process_code;
	public String  getPrev_process_code() {
		return this.prev_process_code;
	}
	public void setPrev_process_code(String prev_process_code) {
		this.prev_process_code = prev_process_code;
	}

	
	//计划下道工序
	private String next_process_code;
	public String  getNext_process_code() {
		return this.next_process_code;
	}
	public void setNext_process_code(String next_process_code) {
		this.next_process_code = next_process_code;
	}

	
	//计划上道设计工序
	private String prev_dsn_process_code;
	public String  getPrev_dsn_process_code() {
		return this.prev_dsn_process_code;
	}
	public void setPrev_dsn_process_code(String prev_dsn_process_code) {
		this.prev_dsn_process_code = prev_dsn_process_code;
	}

	
	//计划下道设计工序
	private String next_dsn_process_code;
	public String  getNext_dsn_process_code() {
		return this.next_dsn_process_code;
	}
	public void setNext_dsn_process_code(String next_dsn_process_code) {
		this.next_dsn_process_code = next_dsn_process_code;
	}

	
	//上道工序设计已完成
	private String is_prev_dsn_finished;
	public String  getIs_prev_dsn_finished() {
		return this.is_prev_dsn_finished;
	}
	public void setIs_prev_dsn_finished(String is_prev_dsn_finished) {
		this.is_prev_dsn_finished = is_prev_dsn_finished;
	}

	
	//生成的设计工序
	private String create_process_code;
	public String  getCreate_process_code() {
		return this.create_process_code;
	}
	public void setCreate_process_code(String create_process_code) {
		this.create_process_code = create_process_code;
	}

	
	//生成时的设计号
	private String create_design_no;
	public String  getCreate_design_no() {
		return this.create_design_no;
	}
	public void setCreate_design_no(String create_design_no) {
		this.create_design_no = create_design_no;
	}

	
	//生成时是否原料
	private Double is_mat;
	public Double  getIs_mat() {
		return this.is_mat;
	}
	public void setIs_mat(Double is_mat) {
		this.is_mat = is_mat;
	}

	
	//填写后不能改变
	private String order_no;
	public String  getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	
	//生产订单号
	private String prod_order_no;
	public String  getProd_order_no() {
		return this.prod_order_no;
	}
	public void setProd_order_no(String prod_order_no) {
		this.prod_order_no = prod_order_no;
	}

	
	//分条设计号
	private String lw_design_no;
	public String  getLw_design_no() {
		return this.lw_design_no;
	}
	public void setLw_design_no(String lw_design_no) {
		this.lw_design_no = lw_design_no;
	}

	
	//横剪设计号
	private String cl_design_no;
	public String  getCl_design_no() {
		return this.cl_design_no;
	}
	public void setCl_design_no(String cl_design_no) {
		this.cl_design_no = cl_design_no;
	}

	
	//轧制设计号
	private String rl_design_no;
	public String  getRl_design_no() {
		return this.rl_design_no;
	}
	public void setRl_design_no(String rl_design_no) {
		this.rl_design_no = rl_design_no;
	}

	
	//分条计划号
	private String lw_plan_no;
	public String  getLw_plan_no() {
		return this.lw_plan_no;
	}
	public void setLw_plan_no(String lw_plan_no) {
		this.lw_plan_no = lw_plan_no;
	}

	
	//横剪计划号
	private String cl_plan_no;
	public String  getCl_plan_no() {
		return this.cl_plan_no;
	}
	public void setCl_plan_no(String cl_plan_no) {
		this.cl_plan_no = cl_plan_no;
	}

	
	//轧制计划号
	private String rl_plan_no;
	public String  getRl_plan_no() {
		return this.rl_plan_no;
	}
	public void setRl_plan_no(String rl_plan_no) {
		this.rl_plan_no = rl_plan_no;
	}

	
	//批组号
	private String batchno;
	public String  getBatchno() {
		return this.batchno;
	}
	public void setBatchno(String batchno) {
		this.batchno = batchno;
	}

	
	//原料虚拟物料号
	private String mat_object_no_vt;
	public String  getMat_object_no_vt() {
		return this.mat_object_no_vt;
	}
	public void setMat_object_no_vt(String mat_object_no_vt) {
		this.mat_object_no_vt = mat_object_no_vt;
	}

	
	//是否拼料(0=非拼料，1=拼料)
	private String ismulti;
	public String  getIsmulti() {
		return this.ismulti;
	}
	public void setIsmulti(String ismulti) {
		this.ismulti = ismulti;
	}

	
	//牌号
	private String steel_code;
	public String  getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	//牌号
	private String steel_name;
	
	//宽度
	private Double width;
	public Double  getWidth() {
		return this.width;
	}
	public void setWidth(Double width) {
		this.width = width;
	}

	
	//厚度
	private Double thick;
	public Double  getThick() {
		return this.thick;
	}
	public void setThick(Double thick) {
		this.thick = thick;
	}

	
	//长度
	private Double length;
	public Double  getLength() {
		return this.length;
	}
	public void setLength(Double length) {
		this.length = length;
	}

	
	//内径
	private Double diameter_inn;
	public Double  getDiameter_inn() {
		return this.diameter_inn;
	}
	public void setDiameter_inn(Double diameter_inn) {
		this.diameter_inn = diameter_inn;
	}

	
	//外径
	private Double diameter_out;
	public Double  getDiameter_out() {
		return this.diameter_out;
	}
	public void setDiameter_out(Double diameter_out) {
		this.diameter_out = diameter_out;
	}

	
	//单重
	private Double single_weight;
	public Double  getSingle_weight() {
		return this.single_weight;
	}
	public void setSingle_weight(Double single_weight) {
		this.single_weight = single_weight;
	}

	
	//定尺方式
	private String fixed_length_type_no;
	public String  getFixed_length_type_no() {
		return this.fixed_length_type_no;
	}
	public void setFixed_length_type_no(String fixed_length_type_no) {
		this.fixed_length_type_no = fixed_length_type_no;
	}

	
	//切边方式
	private String cut_edge_type_no;
	public String  getCut_edge_type_no() {
		return this.cut_edge_type_no;
	}
	public void setCut_edge_type_no(String cut_edge_type_no) {
		this.cut_edge_type_no = cut_edge_type_no;
	}

	
	//订单材/余材标志（1订单材、2余材）
	private String ord_flg;
	public String  getOrd_flg() {
		return this.ord_flg;
	}
	public void setOrd_flg(String ord_flg) {
		this.ord_flg = ord_flg;
	}

	
	//需重新加工(原料 轧/切) (针对某工序原料标识，工序成品不标示)
	private String need_extopt;
	public String  getNeed_extopt() {
		return this.need_extopt;
	}
	public void setNeed_extopt(String need_extopt) {
		this.need_extopt = need_extopt;
	}

	
	//当前是否补(轧/切)料(针对某工序原料标识，工序成品不标示)
	private String is_extra;
	public String  getIs_extra() {
		return this.is_extra;
	}
	public void setIs_extra(String is_extra) {
		this.is_extra = is_extra;
	}

	
	//操作次数(针对某工序原料标识，工序成品不标示)
	private Double opt_times;
	public Double  getOpt_times() {
		return this.opt_times;
	}
	public void setOpt_times(Double opt_times) {
		this.opt_times = opt_times;
	}

	
	//废料次数
	private Double waste_times;
	public Double  getWaste_times() {
		return this.waste_times;
	}
	public void setWaste_times(Double waste_times) {
		this.waste_times = waste_times;
	}

	
	//脱单次数
	private Double divorced_times;
	public Double  getDivorced_times() {
		return this.divorced_times;
	}
	public void setDivorced_times(Double divorced_times) {
		this.divorced_times = divorced_times;
	}

	
	//充当次数
	private Double replaced_times;
	public Double  getReplaced_times() {
		return this.replaced_times;
	}
	public void setReplaced_times(Double replaced_times) {
		this.replaced_times = replaced_times;
	}

	
	//无效标志(0/空:有效，其他无效)
	private Double invalid_flg;
	public Double  getInvalid_flg() {
		return this.invalid_flg;
	}
	public void setInvalid_flg(Double invalid_flg) {
		this.invalid_flg = invalid_flg;
	}
	
	//创建人
	private String create_man_name;
	public String  getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	//优先级
	private String priority;
	public String  getPriority() {
		return this.priority;
	}
	public void setPriority(String priority) {
		this.priority = priority;
	}
	

	//紧急
	private String exigency;
	public String  getExigency() {
		return this.exigency;
	}
	public void setExigency(String exigency) {
		this.exigency = exigency;
	}

	

	//是否拼料
	private String is_multi;
	public String  getIs_multi() {
		return this.is_multi;
	}
	public void setIs_multi(String is_multi) {
		this.is_multi = is_multi;
	}

	

	//原料卷宽度
	private Double mat_width;
	public Double  getMat_width() {
		return this.mat_width;
	}
	public void setMat_width(Double mat_width) {
		this.mat_width = mat_width;
	}

	

	//原料卷厚度
	private Double mat_thick;
	public Double  getMat_thick() {
		return this.mat_thick;
	}
	public void setMat_thick(Double mat_thick) {
		this.mat_thick = mat_thick;
	}

	

	//原料卷长度
	private Double mat_length;
	public Double  getMat_length() {
		return this.mat_length;
	}
	public void setMat_length(Double mat_length) {
		this.mat_length = mat_length;
	}

	

	//原料卷内径
	private Double mat_diameter_inn;
	public Double  getMat_diameter_inn() {
		return this.mat_diameter_inn;
	}
	public void setMat_diameter_inn(Double mat_diameter_inn) {
		this.mat_diameter_inn = mat_diameter_inn;
	}

	

	//原料卷外径
	private Double mat_diameter_out;
	public Double  getMat_diameter_out() {
		return this.mat_diameter_out;
	}
	public void setMat_diameter_ou(Double mat_diameter_out) {
		this.mat_diameter_out = mat_diameter_out;
	}

	

	//原料卷单重
	private Double mat_single_weight;
	public Double  getMat_single_weight() {
		return this.mat_single_weight;
	}
	public void setMat_single_weight(Double mat_single_weight) {
		this.mat_single_weight = mat_single_weight;
	}

	

	//成材率
	private Double prod_rate;
	public Double  getProd_rate() {
		return this.prod_rate;
	}
	public void setProd_rate(Double prod_rate) {
		this.prod_rate = prod_rate;
	}

	

	//分条数/子卷数
	private Double sub_count;
	public Double  getSub_count() {
		return this.sub_count;
	}
	public void setSub_count(Double sub_count) {
		this.sub_count = sub_count;
	}

	//原料卷总数
	private Double design_quantity;
	public Double  getDesign_quantity() {
		return this.design_quantity;
	}
	public void setDesign_quantity(Double design_quantity) {
		this.design_quantity = design_quantity;
	}

	

	//原料卷总重
	private Double design_weight;
	public Double  getDesign_weight() {
		return this.design_weight;
	}
	public void setDesign_weight(Double design_weight) {
		this.design_weight = design_weight;
	}

	

	//切割方式
	private String cut_style;
	public String  getCut_style() {
		return this.cut_style;
	}
	public void setCut_style(String cut_style) {
		this.cut_style = cut_style;
	}

	//交货时间
	private Date deliver_date;
	public Date  getDeliver_date() {
		return this.deliver_date;
	}
	public void setDeliver_date(Date deliver_date) {
		this.deliver_date = deliver_date;
	}

	//备注
	private String remark;
	public String  getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getSteel_name() {
		return steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

}
